# Get-RASRDSHostStatus.md

## NAME

Get-RASRDSHostStatus

## SYNOPSIS

Retrieves the RD Session Host server status information.

## SYNTAX

**Get-RASRDSHostStatus** \[\[-[Id](#id-string)] *(uint)*] \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASRDSHostStatus \[\[-[InputObject](#inputobject)] *(*[*RDSHost*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshost.md)*)*] \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASRDSHostStatus \[\[-[Server](#server-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the RD Session Host status information and optionally session and application information.

## PARAMETERS

## Server (string)

The name of the RD Session Host server for which to retrieve the information.

This must be the actual server name used in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified RD Session Host server information.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the RD Session Host server. To obtain the ID, use the Get-RASRDS cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([RDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshost.md))

An object of type RDS representing the RD Session Host server.

To obtain the object, use the Get-RASRDS cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## StatusLevel ([StatusLevel](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/statuslevel.md))

Specifies the level of detail that should be retrieved.

Acceptable values: Level1 (status information only), Level2 (status and session information), Level3 (status, session, and application info).

Possible values: Level1, Level2, Level3

```
        Required?                    false

        Position?                    named

        Default value                Level1

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[RDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshost.md)

## OUTPUTS

[RDSHostSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostsysinfo.md)

[RDSHostSysInfoSession](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostsysinfosession.md)

[RDSHostSysInfoSessionApp](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostsysinfosessionapp.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASRDSHostStatus -Id 15

Retrieves the RD Session Host status information for the server with ID 15.\
\*\*---------- EXAMPLE 2 ----------

Get-RASRDSHostStatus -Server MyRDSH -StatusLevel Level2

Retrieves the RD Session Host status and session information for the server named "MyRDSH".\
\*\*---------- EXAMPLE 3 ----------

Get-RASRDSHostStatus -InputObject $RDSH -StatusLevel Level3

Retrieves the RD Session Host status, session, and application information for the server represented by the $RDSH object.\
\*\*---------- EXAMPLE 4 ----------

Get-RASRDSHost -Id 15 | Get-RDSStatus -StatusLevel Level1

Retrieves the RD Session Host status information for the server represented by the object obtained from the pipeline output.

## RELATED LINKS

* [New-RASRDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasrdshost.md)
* [Get-RASRDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshost.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshoststatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
